Copy PageVoice-Based Cart Creationpost https://{env}.gsg.tech/api/v1/pay/voice/cartsThis endpoint allows for creation of new voice-based carts to be checked out.Body Paramsitemsarray of objectsrequiredlength ≥ 1Array of the items to be checked out during the cart transaction. At least one item must be provided to complete checkout.items* objectDetails about an item that is being paid for as part of a payment transaction.clientItemIdstringrequiredlength ≥ 6Unique identifier for the item in the cart provided by caller. This identifier should ideally be used to uniquely identify the item in question in the system of record.metaobjectFree-form flat object which can take additional details pertinent to the client for the item in question. These fields will generally be returned with the postback for the payment at completion of checkout.meta objectlimitTendersarray of objectsList of tender types to limit to allowing payment from for the given item.limitTendersAllowed:ECheckCreditCardDebitCardPayPalADD stringtypestringThe type of item, or business category, to which the item belongs. GSG will provide the necessary value(s) for this field. This field is primarily used in reporting to differentiate items of one type from another.descriptionstringrequiredlength ≥ 3A short descriptive title of the item as the user would expect to see it, or as it would be represented on a report of the items paid for.amountstringrequiredlength ≥ 4The primary amount (before fees) to be paid on the item. All currency values: Must have at least one digit before the decimal Exactly 2 digits after the decimal No thousands separator No currency symbol Double quotes surrounding the value will be ignored Examples: "0.01", "1.20", "1234.01"departmentstringThe department code for/from which this item should be charged. Optional.fundCategorystringrequiredlength ≥ 3The "funding category" that the money collected for this item should be routed to the client via.ADD objectbillingInfoobjectBilling information for the customer completing the checkout transaction. This information pre-fills the fields for the cashier/user in the cart, but can be further amended by the checkout process, and as such the fields within are not required.Root Type for BillingInfo objectrequestobjectrequiredBasic information about the request being made to create a cart.Root Type for CartRequestDetails objectResponses 200Successful Voice cart creation. 400Error indicating that there was a formatting or data error of some kind in the request. 401Error indicating that no authorization information was provided for this request. 403Error response indicating that the provided credentials do not provide access to the requested resource. 404Updated about 2 months ago Display PIN Pad home screenVoice-Based Item LookupDid this page help you?YesNo